Package org.h2gis.functions.spatial.earth

# Class ST_SunPosition

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.earth.ST_SunPosition

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_SunPosition extends org.h2gis.api.DeterministicScalarFunction
Compute the sun position and return a new coordinate with x = azimuth and y = altitude

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_SunPosition()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`sunPosition(org.locationtech.jts.geom.Geometry point)`
Return the current sun position
`static org.locationtech.jts.geom.Geometry`
`sunPosition(org.locationtech.jts.geom.Geometry point, Timestamp date)`
Return the sun position for a given date

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_SunPosition

public ST_SunPosition()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### sunPosition

public static org.locationtech.jts.geom.Geometry sunPosition(org.locationtech.jts.geom.Geometry point)
Return the current sun position

Parameters:
  `point` -
Returns:

### sunPosition

public static org.locationtech.jts.geom.Geometry sunPosition(org.locationtech.jts.geom.Geometry point, Timestamp date) throws IllegalArgumentException
Return the sun position for a given date

Parameters:
  `point` -
  `date` -
Returns:
Throws:
  `IllegalArgumentException`